Loading...
Searching...
No Matches
Ogre::WorldFragment Struct Reference
Plugins » BSPSceneManager

Represents part of the world geometry that is a result of a SceneQuery. More...

`#include <OgreBspNode.h>`

## Public Attributes

WorldFragmentType | fragmentType
| The type of this world fragment.
void * | geometry
| Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY.
std::vector< Plane > * | planes
| Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION.
RenderOperation * | renderOp
| General render operation structure, fallback if nothing else is available.
Vector3 | singleIntersection
| Single intersection point, only applicable for WFT_SINGLE_INTERSECTION.

## Detailed Description

Represents part of the world geometry that is a result of a SceneQuery.

Since world geometry is normally vast and sprawling, we need a way of retrieving parts of it based on a query. That is what this struct is for; note there are potentially as many data structures for world geometry as there are SceneManagers, however this structure includes a few common abstractions as well as a more general format.

  The type of world fragment that is returned from a query depends on the SceneManager, and the option set using SceneQuery::setWorldFragmentType. You can see what fragment types are supported on the query in question by calling SceneQuery::getSupportedWorldFragmentTypes().

## Member Data Documentation

## fragmentType

WorldFragmentType Ogre::WorldFragment::fragmentType

The type of this world fragment.

## singleIntersection

Vector3 Ogre::WorldFragment::singleIntersection

Single intersection point, only applicable for WFT_SINGLE_INTERSECTION.

## planes

std::vector<Plane>* Ogre::WorldFragment::planes

Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION.

## geometry

void* Ogre::WorldFragment::geometry

Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY.

## renderOp

RenderOperation* Ogre::WorldFragment::renderOp

General render operation structure, fallback if nothing else is available.

The documentation for this struct was generated from the following file:

- OgreBspNode.h